/// <reference types="react" />
import { TextEntryFormControl } from "../TextEntryFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class ImageFormControl extends TextEntryFormControl {
    readonly __type: string;
    link?: string;
    staticImageLink: boolean;
    tooltip: string;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
